<%@ Language=VBScript%>
<%Response.Buffer = True%>

<%

'***************************************************
'Author: Bennett Giesler
'Date: 3-30-2006
'
'Description: This asp program allows the administrator to select multiple committees and change their date value with one easy click
'
'    * Displays all committees with a checkbox next to their name
'    * To change the date the user needs to select all the committees they want to change
'    * Then simply enter in a new Start Nom, End Nom, Vote Start, and Vote End Date
'    * It also lists the committees with alternating table colors to make it easier to read.
'***************************************************
%>

<!--#include file="../nvs/db_open.asp"-->
<!--#include file="includes/admin_logged_in.asp"-->
<html>
<head>
<title>NVS Admin - Mass Date Change</title>

</head>
<% Title = "Mass Date Change" %>
<body bgcolor="#FFFFFF" link="#FFFFFF" vlink="#FFFFFF" alink="#FFFFFF">
<!--#include file="includes/admin_header.asp"-->

<table width="760" bordercolor="#000099" rules="none" border="1" cellspacing="0" cellpadding="0" align="center" id="table1">
	<tr>
		<td width="760" align="center">
		<table width="760" border="0" cellspacing="0" cellpadding="0" align="center" id="table2">
		  <tr>
		    <td width="176" bgcolor="#000099" valign="top"><!--#include file="includes/nav_bar.asp"--></td>
		    <td width="584" bgcolor="#FFFFFF" valign="top">

<!-- Inside the table CONTENT AREA BELOW -->


<% 
	
	' Lets list all of the committees.
	
	
	Dim strSQL
	Dim commname
	
	strSQL = "SELECT COMID, COMNAME, STARTNOM, ENDNOM, STARTVOTE, ENDVOTE"
	strSQL = strSQL + " FROM COMM1"
	strSQL = strSQL + " ORDER BY COMNAME"

	'response.write strSQL

	dbNVS.Open
	set myRS = Server.CreateObject("ADODB.Recordset")
	
	myRS.ActiveConnection = dbNVS
	myRS.Open strSQL, dbNVS
	

%>
	<form method="POST" action="x_massdatechange.asp">
		<div align="center">
			<table border="2" id="table1" cellpadding="2">
				<tr>
					<td align="center"><b>Name</b></td>
					<td align="center"><b>Start Nom</b></td>
					<td align="center"><b>End Nom</b></td>
					<td align="center"><b>Start Vote</b></td>
					<td align="center"><b>End Vote</b></td>
					<td align="center"><b>Change Dates</b></td>
				</tr>

<%
	
	'Alternate the colors in the table so it's easier to read.
	dim celcolor
	celcolor = true
	While NOT myRS.EOF
%>

				<tr>
					<td <% If celcolor = true then response.write "bgcolor=""#99FF66""" %>><b><%=myRS.Fields("COMNAME").Value%></b></td>
					<td <% If celcolor = true then response.write "bgcolor=""#99FF66""" %>><%=myRS.Fields("STARTNOM").Value%></td>
					<td <% If celcolor = true then response.write "bgcolor=""#99FF66""" %>><%=myRS.Fields("ENDNOM").Value%></td>
					<td <% If celcolor = true then response.write "bgcolor=""#99FF66""" %>><%=myRS.Fields("STARTVOTE").Value%></td>
					<td <% If celcolor = true then response.write "bgcolor=""#99FF66""" %>><%=myRS.Fields("ENDVOTE").Value%></td>
					<td <% If celcolor = true then response.write "bgcolor=""#99FF66""" %>>
					<p align="center">
					<input type="checkbox" name="comselected" value="<%=myRS.Fields("COMID").Value%>"></td>
				</tr>
<%	
	if celcolor = true then
		celcolor = false
	else
		celcolor = true
	End If
	myRS.MoveNext
	Wend
%>
			</table>
		</div>
		<p>&nbsp;</p>
		<p align="center">Enter New Dates For Selected Committees.</p>
		<div align="center">
			<table border="1" id="table2">
				<tr>
					<td>
					<p align="center"><b>Start Nomination</b></td>
					<td>
					<p align="center"><b>End Nomination</b></td>
					<td>
					<p align="center"><b>Start Vote</b></td>
					<td>
					<p align="center"><b>End Vote</b></td>
				</tr>
				

				<tr>
					<td>
					<p align="center">
					<input type="text" name="txtNomStart" size="10"></td>
					<td>
					<p align="center">
					<input type="text" name="txtNomEnd" size="10"></td>
					<td>
					<p align="center">
					<input type="text" name="txtVoteStart" size="10"></td>
					<td>
					<p align="center">
					<input type="text" name="txtVoteEnd" size="10"></td>
				</tr>
			</table>
		</div>
		<p align="center"><input type="submit" value="Submit"></p>
	</form>
	<h1 align="center">&nbsp;</h1>

	<!-- Outside Table -->
			    </td>	
		  </tr>
		  </table>
		</td>
	</tr>
</table>

	
			
<%	
	
	set myRS = Nothing
	dbNVS.Close
%>
	</body></html>			