<% @ Language=VBScript %>
<% Response.Buffer = True %>

<!--#include file="includes/admin_logged_in.asp"-->
<!--#include file="../nvs/db_open.asp"-->
<!--#include file="../utils/nvs_utils.inc"-->

<%
	If Request.Form("btnSave") = "Save Changes" Then
		'we're in edit mode, better save the changes...
		
		If Validated() Then
			
			UpdateMemberType()
			
			Set dbNVS = Nothing
			
			Response.Clear
			Response.Redirect "member_type_edit.asp?confirm=yes&init=0&mode=edit&typeid=" + Cstr(Clng(Request.Form("hdTypeId")))
			Response.End
		Else
			Response.Write "NOT VALIDATED"
			Response.End
		End If
	Else
		'we're in delete mode...the user has been prompted all ready, so lets delete the committee!!!
		DeleteMemberType()
			
		Set dbNVS = Nothing
			
		Response.Clear
		Response.Redirect "member_type_edit.asp?confirmdelete=yes&init=1&mode=delete"
		Response.End
	End If
%>




<%
Function DeleteMemberType()
On Error Resume Next
	DeleteMemberType = False
	
	Dim cmdDiv
	Set cmdDiv = Server.CreateObject("ADODB.Command")
	
	Dim strSQL
	
	'delete from the COMM1 table...
	strSQL = "Delete From [MEMBER_TYPE] WHERE [TYPE_ID]= " + Cstr(Clng(Request.Form("hdTypeId")))
	
	dbNVS.Open	
	cmdDiv.ActiveConnection = dbNVS
	cmdDiv.CommandText = strSQL
	
	dbNVS.BeginTrans
	cmdDiv.Execute
	
	'Error Handling in a small way...
	If Err.Number <> 0 then
		'if something goes wrong, don't update the database...
		dbNVS.RollBack
		
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=A system error occured with the function DeleteMemberType." + _
								 "<BR>Please click the back button."
		Response.End
		
		DeleteMemberType = False
	End if	
	
	dbNVS.CommitTrans
	dbNVS.Close
	
	Set cmdDiv = Nothing
	DeleteMemberType = True
End Function
%>



<%
Function Validated()%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	Validated = False
	
	'validate the "NAME" field....
	If Trim(Request.Form("txtTypeName")) = "" OR IsNull(Trim(Request.Form("txtTypeName"))) Then
		Response.Clear
		Response.Redirect "error.asp?mess=You must supply a Membership Type Name.<BR>Please click the BACK button."
		Response.End
	End If
	
	If Len(Trim(Request.Form("txtTypeName"))) > 50 Then
		Response.Clear
		Response.Redirect "error.asp?mess=The Membership Type Name can only be 20 characters long.<BR>Please click the BACK button."
		Response.End
	End If
	
	Validated = True
End Function
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function UpdateMemberType()
On Error Resume Next
	UpdateMemberType = False
	
	Dim cmdDiv
	Set cmdDiv = Server.CreateObject("ADODB.Command")
	
	Dim strSQL
	
	'update the COMM1 table...
	strSQL = "Update [MEMBER_TYPE] Set"
	strSQL = strSQL + " [TYPE_NAME]= '" + SQLFixTicks(Trim(Request.Form("txtTypeName"))) + "'"		'DIVISION 
	strSQL = strSQL + " WHERE [TYPE_ID]= " + Cstr(Clng(Request.Form("hdTypeId")))
	
	dbNVS.Open
	cmdDiv.ActiveConnection = dbNVS
	cmdDiv.CommandText = strSQL
	
	dbNVS.BeginTrans
	cmdDiv.Execute
	
	'Error Handling in a small way...
	If Err.Number <> 0 then
		'if something goes wrong, don't update the database...
		dbNVS.RollBack
		
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=A system error occured with the function UpdateMemberType." + _
								 "<BR>Please click the back button."
		Response.End
		
		UpdateMemberType = False
	End if	
	
	dbNVS.CommitTrans	
	dbNVS.Close
	
	Set cmdDiv = Nothing
	UpdateMemberType = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>