<%
'~~~~~~~~~~~~~~~~~FUNCTIONS FOR APPROVE RESULTS PAGES~~~~~~~~~


'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets all committees whos voting results are finished
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommsApprove(rsCOMM)%>
<!--#include file="../../nvs/db_open.asp"-->
<%
	On Error Resume Next
	Dim message
	adLockOptimistic = 3
	
	Dim strSQL, dtToday
		dtToday = Date
		
	strSQL = "SELECT COMID, COMNAME, ELECTION_TYPE"
	strSQL = strSQL + " FROM COMM1 WHERE" 
	strSQL = strSQL + " APPROVE_STATUS =" + Cstr(Cint(False)) + " AND"
	strSQL = strSQL + " STARTVOTE <= #" + Cstr(dtToday) & "#"
	strSQL = strSQL + " AND COMID IN"
	strSQL = strSQL + " (SELECT [COMID] FROM [VOTING_RESULTS])"
	strSQL = strSQL + " ORDER BY [COMNAME]"
	
	dbNVS.Open
	rsCOMM.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Err.Number <> 0 then
		message = "A system error occured with the function GetCommsApprove." + _
						"<BR>Please contact the Nominations and Election Committee " + _
						"to resolve this problem.<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	End If
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets all people who were voted for in a particular committee
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommsPeopleIDs(dictVote, ComID)%>
<!--#include file="../../nvs/db_open.asp"--><%
	On Error Resume Next
	set fso = Server.CreateObject("scripting.FileSystemObject") 
	set myFile = fso.OpenTextFile("C:\vote_results.txt", 8, Create) 
	Dim temp	

	Dim message, mystrSQL, dttoday
	
	adLockOptimistic = 3
	dttoday = Date

	Dim objVote
	Set objVote = Server.CreateObject("ADODB.Recordset")
	
	Dim strSQL
	strSQL = "SELECT [VOTING_RESULTS].[VOTES], [VOTING_RESULTS].[USER_ID]," 
	strSQL = strSQL + " [FACULTY].[F_NAME], [FACULTY].[L_NAME], [DIVISION].[DIVISION]"
	strSQL = strSQL + " FROM [FACULTY], [VOTING_RESULTS], [DIVISION] WHERE"
	strSQL = strSQL + " [VOTING_RESULTS].[USER_ID] = [FACULTY].[USER_ID]"
	strSQL = strSQL + " AND [FACULTY].[DIV_ID] = [DIVISION].[DIV_ID]"
	strSQL = strSQL + " AND [VOTING_RESULTS].[COMID] = " & Cint(ComID)
	strSQL = strSQL + " ORDER BY [VOTING_RESULTS].[VOTES] DESC"
		

	dbNVS.Open
	objVote.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic

'Response.Write "Err Num:  " + Cstr(Err.Number)  + "<BR>Err Desc:  " + Err.Description + "<BR><BR>"
	
	'header stuff
	temp = " Voting results for committee " & CStr(ComID)
	myFile.WriteLine(NOW() & temp)

	While Not objVote.EOF
		dictVote.Add objVote.Fields("USER_ID").Value, objVote.Fields("F_NAME").Value
		myFile.WriteLine(CStr(objVote.Fields("USER_ID").Value) & " - " & CStr(objVote.Fields("F_Name").Value) &  " " & CStr(objVote.Fields("L_Name").Value) & " - " & CStr(objVote.Fields("VOTES").Value))
		
		mystrSQL = "INSERT INTO VRES(ComID, UserID, Votes, VoteDate, VoteDay) VALUES(" + CStr(ComID) + ", " + CStr(objVote.Fields("USER_ID").Value) + ", " + CStr(objVote.Fields("VOTES").Value) + ", " + Cstr(Year(dttoday)) + ", #" + Cstr(dttoday) + "#)"		
		'myFile.WriteLine(mystrSQL)
		PerformExecute mystrSQL
		



		objVote.MoveNext
	Wend

	If Err.Number <> 0 then
		message = "A system error occured with the function GetCommsPeopleIDs." + _
						"<BR>Please contact the Nominations and Election Committee " +  _
						"to resolve this problem.<BR>Please click the back button."
		'Response.Clear
		'Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		'Response.End
	End If
	myFile.Close
	dbNVS.Close
	Set objVote = Nothing
	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets all people who were voted for in a particular committee
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommsPeople(objVote, ComID)%>
<!--#include file="../../nvs/db_open.asp"--><%
	On Error Resume Next
	Dim message
	
	adLockOptimistic = 3
	
	Dim strSQL
	strSQL = "SELECT [VOTING_RESULTS].[VOTES], [VOTING_RESULTS].[USER_ID]," 
	strSQL = strSQL + " [FACULTY].[F_NAME], [FACULTY].[L_NAME], [DIVISION].[DIVISION]"
	strSQL = strSQL + " FROM [FACULTY], [VOTING_RESULTS], [DIVISION] WHERE"
	strSQL = strSQL + " [VOTING_RESULTS].[USER_ID] = [FACULTY].[USER_ID]"
	strSQL = strSQL + " AND [FACULTY].[DIV_ID] = [DIVISION].[DIV_ID]"
	strSQL = strSQL + " AND [VOTING_RESULTS].[COMID] = " & Cint(ComID)
	strSQL = strSQL + " ORDER BY [VOTING_RESULTS].[VOTES] DESC"
		
	dbNVS.Open
	objVote.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic

'Response.Write "Err Num:  " + Cstr(Err.Number)  + "<BR>Err Desc:  " + Err.Description + "<BR><BR>"

	If Err.Number <> 0 then
		message = "A system error occured with the function GetCommsPeople." + _
						"<BR>Please contact the Nominations and Election Committee " +  _
						"to resolve this problem.<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	End If
	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets the count of all people who were voted for in a particular committee
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommsPeopleCount(objVote)%>
<!--#include file="../../nvs/db_open.asp"--><%
	On Error Resume Next
	Dim Counter
	
	Do While Not objVote.EOF
		Counter = Counter + 1
		objVote.MoveNext
	Loop
	
objVote.MoveFirst	
GetCommsPeopleCount = Counter
End Function
%>
	
<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets total number of votes per committee
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetNumVotes(objVoteSum, ComID)%>
<!--#include file="../../nvs/db_open.asp"--><%
	On Error Resume Next
	Dim message
	adLockOptimistic = 3
	
	Dim strSQL
	
	strSQL = "SELECT SUM([VOTES]) as [TOTAL_VOTES] FROM [VOTING_RESULTS] WHERE"
	strSQL = strSQL + " [COMID] = " & Cint(ComID)
	
	dbNVS.Open
	objVoteSum.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Err.Number <> 0 then
		message = "A system error occured with the function GetNumVotes." + _
						"<BR>Please contact the Nominations and Election Committee " + _
						"to resolve this problem.<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	End If
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets Committee Name and Election Type
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetComInfo(objInfo, ComID)%>
	<!--#include file="../../nvs/db_open.asp"--><%
	On Error Resume Next
	Dim message
	adLockOptimistic = 3
	
	Dim strSQL
	
	strSQL = "SELECT COMNAME, ELECTION_TYPE FROM COMM1"
	strSQL = strSQL + " WHERE COMID = " & Cint(ComID)
	
	dbNVS.Open
	objInfo.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Err.Number <> 0 then
		message = "A system error occured with the function GetComInfo." + _
						"<BR>Please contact the Nominations and Election Committee " + _
						"to resolve this problem.<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	End If
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>
<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetVacancies(ComID)%>
<!--#include file="../../nvs/db_open.asp"--><%
'********'********'********'********'********
'GETS THE NUMBER OF VACANCIES THERE ARE FOR A 
'PARTICULAR COMMITTEE BY LOOKING AT THE TERM
'FOR EACH MEMBER IN THE COMMITTEE.
'IF THE TERM YEAR EQUALS TODAY'S YEAR,
'THE COMMITTEE MEMBER MUST BE UP FOR ELECTION.
'********'********'********'********'********
On Error Resume Next
	Dim strSQL, mySQL	
	Dim message, count
	
	count = 0
	
	Dim rsVacants
	Set rsVacants = Server.CreateObject("ADODB.Recordset")
	
	Dim rsFilledSeats
	Set rsFilledSeats = Server.CreateObject("ADODB.Recordset")

	Dim rsTotalSeats
	Set rsTotalSeats = Server.CreateObject("ADODB.Recordset")

	adLockOptimistic = 3
	
	'*******************
	'START NVS 7.0 STUFF
	dbNVS.Open
	rsFilledSeats.ActiveConnection = dbNVS
	rsTotalSeats.ActiveConnection = dbNVS

	mySQL = "SELECT COUNT(MEMBER.COMID) AS NUM_IN FROM MEMBER "
	mySQL = mySQL + "WHERE MEMBER.COMID = "
	mySQL = mySQL &  Cstr(ComID)
	rsFilledSeats.Open mySQL, dbNVS 			
	
	mySQL = "SELECT COM_SIZE FROM COMM1 WHERE COMID = "
	mySQL = mySQL &  Cstr(ComID)
	rsTotalSeats.Open mySQL, dbNVS


	'only want to get ELECTED and AT LARGE committee members from the database...
	'not Ex-Officio or appointed members
	'only works if there are existing members and they happen to be up for re-election
	strSQL = "SELECT Count([USER_ID]) AS [MAX_VOTES] FROM [MEMBER]"
	strSQL = strSQL + " WHERE [COMID]= " & CStr(ComID)
	strSQL = strSQL + " AND [TERM]= '" & Cstr(Year(Date())) & "'"
	strSQL = strSQL + " AND [TYPE_ID] = 7 OR [TYPE_ID] = 4"
	'strSQL = strSQL + " AND [TYPE_ID] IN (Select [TYPE_ID] FROM [MEMBER_TYPE]"
	'strSQL = strSQL + " WHERE [TYPE_NAME] LIKE 'Elected'"
	'strSQL = strSQL + " OR [TYPE_NAME] LIKE 'At Large')"
	
	'Open the connection to the database...
		
	rsVacants.ActiveConnection = dbNVS
	rsVacants.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
		
	If Not rsVacants.EOF then		
		rsVacants.MoveLast
		rsVacants.MoveFirst
	End if
	
	GetVacancies = Clng(rsVacants.Fields("MAX_VOTES").Value + (rsTotalSeats.Fields("COM_SIZE") - rsFilledSeats.Fields("NUM_IN")))
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function GetVacancies." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		GetVacancies = Clng(0)
	End if	
	
	'everything went ok...
	dbNVS.Close
	Set rsVacants = Nothing
End Function

Function PerformExecute(mystr)
	PerformExecute = false

	Dim CmdObj 
	Dim message
	'dbNVS.Open
	Set CmdObj = Server.CreateObject("ADODB.Command")
	CmdObj.ActiveConnection = dbNVS
	CmdObj.CommandText = Cstr(mystr)
	CmdObj.Execute

	message = "Error in recording voting results. Please contact system administrator<br>"
	'error checking
	If Err.Number <> 0 then
 		dbNVS.rollback
		Response.Clear
		Response.Redirect "error.asp?" + Server.URLEncode(message)
		Response.End
	end if
	'dbNVS.Close
	Set CmdObj = Nothing
	'Set dbNVS = Nothing
	PerformExecute = true	
End Function


%>


<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'Funciton Create a Dictionary For The Voting Results Table
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function  GetDict(objResults, objVote)
	Dim USER, VOTE 'Vars used for storage to get around quotation problems
	
	DO While Not objVote.EOF
		USER = objVote.fields("USER_ID").value
		VOTE = objVote.fields("VOTES").value
		
		objResults.Add USER, VOTE
		objVote.MoveNext
	Loop
	
	objVote.MoveFirst
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

