<%
'~~~~~~~~~~~~~~~~~FUNCTIONS FOR VOTE PAGE - START~~~~~~~~~~~~~~~~~


'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function InitializePage()
	bInit = Cbool(Request.QueryString("init"))
	lmaxVoteCount = 0 
	Dim message
	If Request.Form("selComm") = "0" AND Not bInit Then
		message = "You must select a committee for nominations.<BR>Please click BACK to select a committe to nominate to."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	End if
	
	If bInit <> Cint(False) then
		'this ensures the committee chosen initially is used for page ComId
		ComId = Cint(0)
		Session.Contents("VOTE_COMID") = ComId
	Else
		If Request.QueryString("ComId") <> "" then
			'getting the committee id that was selected by 
			'the user so the page stays on the right committee
			ComId = Cint(Request.QueryString("ComId"))
			Session.Contents("VOTE_COMID") = ComId
		Else
			'the user just selected a new committee to nominate for, 
			'make sure you store the committee id
			ComId = Cint(Request.Form("selComm"))
			Session.Contents("VOTE_COMID") = ComId
		End If	
	End if	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommittee(rsComm)%>
<!--#include file="../db_open.asp"--><%
On Error Resume Next
	adLockOptimistic = 3
	GetCommittee = False
	
	Dim message
	Dim StrSQL	
	StrSQL = "Select * From [COMM1] Where [COMID]= " + Cstr(Session.Contents("VOTE_COMID"))
	
	dbNVS.Open
	rsComm.ActiveConnection = dbNVS
	rsComm.Open StrSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsComm.EOF Then
		rsComm.MoveFirst
	End If

	'Error Handling in a small way...
	If Err.Number > 0 then
		message = "A system error occured with the function GetCommittee." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		GetCommittee = False
	End if	
	
	'everything went ok...
	GetCommittee = True	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetUsersForBallot()%>
<!--#include file="../db_open.asp"--><%
On Error Resume Next
	Dim strSQL
	Dim message
	adLockOptimistic = 3
	GetUsersForBallot = False
	
	'only load this recordset if needed...
	If strIDS <> "" Then
	
		strSQL = "SELECT DISTINCT [FACULTY].[USER_ID], [FACULTY].[F_NAME], [FACULTY].[L_NAME], [DIVISION].[DIVISION]"
		strSQL = strSQL + " FROM [FACULTY], [DIVISION]"
		strSQL = strSQL + " WHERE [FACULTY].[DIV_ID] = [DIVISION].[DIV_ID]"
		strSQL = strSQL + " AND [FACULTY].[USER_ID] IN (" + Cstr(strIDS) + ")"
		strSQL = strSQL + " ORDER BY [FACULTY].[L_NAME]"

		'Open the connection to the database...
		dbNVS.Open	
		rsBallot.ActiveConnection = dbNVS
		rsBallot.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic

		If Not rsBallot.EOF then
			rsBallot.MoveLast
			rsBallot.MoveFirst
		End if
	
		'Error Handling in a small way...
		If Err.Number > 0 then
			'something is wrong...
			message = "A system error occured with the function GetUsersForBallot." + _
							"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
							"<BR>Please click the back button."
			Response.Clear
			Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
			Response.End
				
			GetUsersForBallot = False
		End if	
	End If
	
	'everything went ok...
	GetUsersForBallot = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~







'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function LoadBallotIdsForQuery()%>
<!--#include file="../db_open.asp"--><%
On Error Resume Next
	LoadBallotIdsForQuery = False
	
	Dim message
	Dim intLoop
	Dim arrItems
	Dim lngCount
	lngCount = 0
	
	'load the user ids that have been put on the voting ballot all ready...
	strIDS = ""
	
	If IsObject(objBallot) Then		'just a precaution...

		arrItems = objBallot.Items

		'only load them if there are some to load...
		If objBallot.Count <> 0 then
			
			For intLoop = 0 to objBallot.Count - 1				
				'if only one ID is passed back, then only load that one and get out!...
				If objBallot.Count = 1 Then
					lngCount = lngCount + 1
					strIDS = arrItems(intLoop)
					Exit For
				Else
					'Only allow values into the query string...if there is nothing, then dont put it in...
					If arrItems(intLoop) <> "" AND Not IsNull(arrItems(intLoop)) Then
						If CLng(arrItems(intLoop)) <> 0 Then
							If strIDS = "" then
								lngCount = lngCount + 1
								strIDS = arrItems(intLoop) + ","
							Else							
								If arrItems(intLoop) <> "" AND Not IsNull(arrItems(intLoop)) Then
									If intLoop = objBallot.Count - 1 Then
										strIDS = arrItems(intLoop)
										lngCount = lngCount + 1
									Else
										strIDS = strIDS + arrItems(intLoop) + ","
										lngCount = lngCount + 1
									End If
								End If
							End If
						End If
					End If
				End If
			Next
		End If
		
		'used to validate the number of votes the user can cast...
		Session.Contents("BALLOT_COUNT") = lngCount
		
		'This only gets used if person clicks "Save VOTE", 
		'then we don't have to loop again to get the querystring right...
		Session.Contents("VOTE_IDS") = strIDS
		
		'clear the object out to be filled again...
		objBallot.RemoveAll()
		
		'Error Handling in a small way...
		If Err.Number > 0 then
			'something is wrong...
			message = "A system error occured with the function LoadBallotIdsForQuery." + _
							"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
							"<BR>Please click the back button."
			Response.Clear
			Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
			Response.End
			
			LoadBallotIdsForQuery = False
		End if	
	End If

	LoadBallotIdsForQuery = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommsForVote(rsComm)%>
<!--#include file="../db_open.asp"--><%
'********'********'********'********'********'********
'GETS COMMITTEES THAT ARE OPEN TO VOTE FOR						
'																						
'ONLY COMMITTEES THAT FACULTY HAVE NOT VOTED FOR			
'AND COMMITTEES WITH AN OPEN VOTING PERIOD 
'AND WITH VACANCIES WILL BE LOADED
'********'********'********'********'********'********
On Error Resume Next
	GetCommsForVote = False
	Dim strSQL, dtToday
	Dim message
	adLockOptimistic = 3
	
	dtToday = Date
	
	strSQL = "SELECT [COMID], [COMNAME] FROM [COMM1]"
	strSQL = strSQL + " WHERE [STARTVOTE] <= #" & Cstr(dtToday) & "#"
	strSQL = strSQL + " AND [ENDVOTE] >= #" & Cstr(dtToday) & "#"
	strSQL = strSQL + " AND [COMID] NOT IN"
	strSQL = strSQL + " (SELECT [COMID] FROM [VOTED]"
	strSQL = strSQL + " WHERE [USER_ID] = " & Cstr(Clng(Session.Contents("USER_ID"))) & ")"
	'strSQL = strSQL + " AND [COMID] IN"
	'strSQL = strSQL + " (SELECT [COMID] FROM [MEMBER] WHERE [TERM]= '" + Cstr(Year(Date)) & "')"
	'strSQL = strSQL + " ORDER BY [COMNAME]"
	
	'Open the connection to the database...
	dbNVS.Open
	rsComm.ActiveConnection = dbNVS
	rsComm.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If not rsComm.EOF then
		rsComm.MoveLast
		rsComm.MoveFirst
	End if	

	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function GetCommsForVote." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		GetFacultyForVote = False
	End if	
	
	'everything went ok...
	GetCommsForVote = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetFacultyForVote(rsFac)%>
<!--#include file="../db_open.asp"--><%
'********'********'********'********'********
'GETS FACULTY MEMBERS THAT ARE 
'UP FOR ELECTION FOR A SPECIFIC COMMITTEE
'********'********'********'********'********
On Error Resume Next
	GetFacultyForVote = False
	Dim strSQL
	Dim message
	adLockOptimistic = 3
	
	strSQL = "SELECT DISTINCT [FACULTY].[USER_ID], [FACULTY].[F_NAME], [FACULTY].[L_NAME], [DIVISION].[DIVISION]"
	strSQL = strSQL + " FROM [FACULTY], [DIVISION]"
	strSQL = strSQL + " WHERE [FACULTY].[DIV_ID] = [DIVISION].[DIV_ID]"
	strSQL = strSQL + " AND [FACULTY].[USER_ID] IN"
	strSQL = strSQL + " (SELECT [USER_ID] FROM [VOTING_RESULTS]"
	strSQL = strSQL + " WHERE [COMID]= " & Cstr(Clng(Session.Contents("VOTE_COMID"))) & ")"
	
	If strIDS <> "" then
		'include this line because we do not want faculty the user has put on the ballot all ready...
		strSQL = strSQL + " AND [FACULTY].[USER_ID] NOT IN (" + Cstr(strIDS) + ")"
	End If
	
	strSQL = strSQL + " ORDER BY [FACULTY].[L_NAME]"
	
	'Open the connection to the database...
	dbNVS.Open
	rsFac.ActiveConnection = dbNVS
	rsFac.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsFac.EOF then
		rsFac.MoveLast
		rsFac.MoveFirst
	End if

	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function GetFacultyForVote." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		GetFacultyForVote = False
	End if	
	
	'everything went ok...
	GetFacultyForVote = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetVacancies()%>
<!--#include file="../db_open.asp"--><%
'********'********'********'********'********
'GETS THE NUMBER OF VACANCIES THERE ARE FOR A 
'PARTICULAR COMMITTEE BY LOOKING AT THE TERM
'FOR EACH MEMBER IN THE COMMITTEE.
'IF THE TERM YEAR EQUALS TODAY'S YEAR,
'THE COMMITTEE MEMBER MUST BE UP FOR ELECTION.
'********'********'********'********'********
On Error Resume Next
	Dim strSQL, mySQL	
	Dim message, count
	
	count = 0
	
	Dim rsVacants
	Set rsVacants = Server.CreateObject("ADODB.Recordset")
	
	Dim rsFilledSeats
	Set rsFilledSeats = Server.CreateObject("ADODB.Recordset")

	Dim rsTotalSeats
	Set rsTotalSeats = Server.CreateObject("ADODB.Recordset")

	adLockOptimistic = 3
	
	'*******************
	'START NVS 7.0 STUFF
	dbNVS.Open
	rsFilledSeats.ActiveConnection = dbNVS
	rsTotalSeats.ActiveConnection = dbNVS

	mySQL = "SELECT COUNT(MEMBER.COMID) AS NUM_IN FROM MEMBER "
	mySQL = mySQL + "WHERE MEMBER.COMID = "
	mySQL = mySQL &  Cstr(Clng(Session.Contents("VOTE_COMID")))
	rsFilledSeats.Open mySQL, dbNVS 			
	
	mySQL = "SELECT COM_SIZE FROM COMM1 WHERE COMID = "
	mySQL = mySQL &  Cstr(Clng(Session.Contents("VOTE_COMID")))
	rsTotalSeats.Open mySQL, dbNVS


	'only want to get ELECTED and AT LARGE committee members from the database...
	'not Ex-Officio or appointed members
	'only works if there are existing members and they happen to be up for re-election
	strSQL = "SELECT Count([USER_ID]) AS [MAX_VOTES] FROM [MEMBER]"
	strSQL = strSQL + " WHERE [COMID]= " & Cstr(Clng(Session.Contents("VOTE_COMID")))
	strSQL = strSQL + " AND [TERM]= '" & Cstr(Year(Date())) & "'"
	strSQL = strSQL + " AND [TYPE_ID] = 7 OR [TYPE_ID] = 4"
	'strSQL = strSQL + " AND [TYPE_ID] IN (Select [TYPE_ID] FROM [MEMBER_TYPE]"
	'strSQL = strSQL + " WHERE [TYPE_NAME] LIKE 'Elected'"
	'strSQL = strSQL + " OR [TYPE_NAME] LIKE 'At Large')"
	
	'Open the connection to the database...
		
	rsVacants.ActiveConnection = dbNVS
	rsVacants.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
		
	If Not rsVacants.EOF then		
		rsVacants.MoveLast
		rsVacants.MoveFirst
	End if
	
	GetVacancies = Clng(rsVacants.Fields("MAX_VOTES").Value + (rsTotalSeats.Fields("COM_SIZE") - rsFilledSeats.Fields("NUM_IN")))
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function GetVacancies." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		GetVacancies = Clng(0)
	End if	
	
	'everything went ok...
	dbNVS.Close
	Set rsVacants = Nothing
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

'~~~~~~~~~~~~~~~~~FUNCTIONS FOR VOTE PAGE - END~~~~~~~~~~~~~~~~~
%>
<%
Function GetMember(rsMember, ComID)%>
<!--#include file="../db_open.asp"--><%
On Error Resume Next
	GetMember = False
	
	Dim StrSQL
	StrSQL = " SELECT [FACULTY].[F_NAME], [FACULTY].[L_NAME], [MEMBER].[TERM], [DIVISION].[DIVISION] FROM [FACULTY], [MEMBER], [COMM1], [DIVISION] "
	StrSQL = StrSQL + "WHERE [COMM1].[COMID] = [MEMBER].[COMID] AND [FACULTY].[USER_ID] = [MEMBER].[USER_ID] AND "
	StrSQL = StrSQL + " [DIVISION].[DIV_ID] = [FACULTY].[DIV_ID] AND [COMM1].[COMID] = " + Cstr (ComID)
	StrSQL = StrSQL + " ORDER BY [MEMBER].[TERM]"

   
	dbNVS.Open
	rsMember.ActiveConnection = dbNVS

	rsMember.Open Cstr(StrSQL), dbNVS, adOpenKeyset		', adLockOptimistic
	
	If Not rsMember.EOF Then
		rsMember.Movefirst
	End If
	
	GetMember = True
	  
	If Err.Number <> 0 Then
		GetMember = False
	End If
	
End Function
%>