<%@ Language=VBScript%>
<%Response.Buffer = True%>
<!--#include file="includes/logged_in.asp"-->
<!--#include file="db_open.asp"-->
<% 
Dim dtToday
dtToday = Date%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets committees up for voting...
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetVotingComms(objVote)%>
<!--#include file="db_open.asp"--><%
	On Error Resume Next
	
	Dim strSQL1, messages
	strSQL1 = "SELECT [COMNAME], [ENDVOTE], [ELECTION_TYPE] FROM [COMM1]"
	strSQL1 = strSQL1 + " WHERE [COMID] NOT IN"
	strSQL1 = strSQL1 + " (SELECT [COMID] FROM [VOTED]"
	strSQL1 = strSQL1 + " WHERE [USER_ID] = " & Cstr(Clng(Session.Contents("USER_ID"))) & ")"	
	strSQL1 = strSQL1 + " AND [STARTVOTE] <= #" & Cstr(dtToday) & "#"
	strSQL1 = strSQL1 + " AND [ENDVOTE] >= #" & Cstr(dtToday) & "#"
	strSQL1 = strSQL1 + " ORDER BY [ENDVOTE]"
	
	dbNVS.Open
	objVote.Open strSQL1, dbNVS		', adOpenKeyset, adLockOptimistic
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		messages = "A system error occured with the function GetVotingComms." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(messages)
		Response.End
				
		GetVotingComms = False
	End if	
	
	'everything went ok...
	GetVotingComms = True
	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets committees user is a member of and the term they are finished...
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetUserComms(objMem)%>
<!--#include file="db_open.asp"--><%
	On Error Resume Next
	GetUserComms = False
	
	Dim strSQL, messages
	strSQL = "SELECT [COMM1].[COMNAME], [MEMBER].[TERM] FROM [COMM1], [MEMBER]"
	strSQL = strSQL + " WHERE [MEMBER].[COMID] = [COMM1].[COMID]"
	strSQL = strSQL + " AND [MEMBER].[USER_ID]= " + Cstr(Clng(Session.Contents("USER_ID")))
	strSQL = strSQL + " ORDER BY [TERM]"
			
	dbNVS.Open
	objMem.Open strSQL, dbNVS, adOpenKeyset		', adLockOptimistic
	
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		messages = "A system error occured with the function GetUserComms." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(messages)
		Response.End
				
		GetUserComms = False
	End if	
	
	'everything went ok...
	GetUserComms = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>




<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets Username for welcome messages...
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetUserName(objUser)%>
<!--#include file="db_open.asp"--><%
	On Error Resume Next
	GetUserName = False
	
	Dim strSQLWelc, messages
	strSQLWelc = "SELECT [F_NAME], [L_NAME] FROM [FACULTY] WHERE [USER_ID] = " + Cstr(Session.Contents("USER_ID"))
	
	dbNVS.Open
	objUser.Open strSQLWelc, dbNVS, adOpenKeyset		', adLockOptimistic
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		messages = "A system error occured with the function GetUserName." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(messages)
		Response.End
				
		GetUserName = False
	End if	
	
	'everything went ok...
	GetUserName = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets committies user has been nominated for...
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetUserNoms(objNom)%>
<!--#include file="db_open.asp"--><%
	On Error Resume Next
	
	'SQL retrives all commities current user in nominated for
	Dim strSQL, messages
	
	strSQL = "Select [NOMINATED].[STATUS], [COMM1].[COMNAME], [COMM1].[ENDNOM] "
	strSQL = strSQL +" FROM [NOMINATED], [COMM1]" 
	strSQL = strSQL + " WHERE [NOMINATED].[COMID] = [COMM1].[COMID]"
	strSQL = strSQL + " AND NOMINATED.USER_ID = " + Cstr(Session.Contents("USER_ID"))
	'strSQL = strSQL + " AND #" & Cstr(dtToday) & "# > [ENDNOM] "
	strSQL = strSQL + " AND #" & Cstr(dtToday) & "# < [STARTVOTE] "
	strSQL = strSQL + " ORDER BY [STARTVOTE]"
	
'	response.write strSQL
	
	dbNVS.Open
	objNom.Open strSQL, dbNVS		', adOpenKeyset			', adLockOptimistic
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		messages = "A system error occured with the function GetUserNoms." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(messages)
		Response.End
				
		GetUserNoms = False
	End if	
	
	'everything went ok...
	GetUserNoms = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets committees up for nominaitons...
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetNomComs(objComs)%>
<!--#include file="db_open.asp"--><%
	On Error Resume Next
	GetNomComs = False
	
	Dim strSQL2, messages
	
	strSQL2 = "SELECT [COMID], [COMNAME], [ENDNOM] FROM [COMM1]"
	strSQL2 = strSQL2 + " WHERE [STARTNOM] <= #" & Cstr(dtToday) & "#"
	strSQL2 = strSQL2 + " AND [ENDNOM] >= #" & Cstr(dtToday) & "#"
	strSQL2 = strSQL2 + " ORDER BY [ENDNOM]"
	
'	response.write strSQL2
			
	dbNVS.Open
	objComs.Open strSQL2, dbNVS		', adOpenKeyset, adLockOptimistic
	
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		messages = "A system error occured with the function GetNomComs." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(messages)
		Response.End
				
		GetNomComs = False
	End if	
	
	'everything went ok...
	GetNomComs = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
	Dim objWelc
	Set objWelc = Server.CreateObject("ADODB.RecordSet")
	
	Dim objMember
	Set objMember = Server.CreateObject("ADODB.Recordset")
	
	Dim objNom
	Set objNom = Server.CreateObject("ADODB.RecordSet")
		
	Dim objCNom
	Set objCNom = Server.CreateObject("ADODB.RecordSet")
	
	Dim objVote
	Set objVote = Server.CreateObject("ADODB.RecordSet")
	
	GetUserName(objWelc)
%>

<% Title = "Welcome" %>
<html>
<head>
	<title>Welcome</title>
	<A NAME = TOP>
</head>
<!--#include file="includes/header.asp"-->
<%
'************************************
'	Output Welcome Message...
'************************************
%>
<font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099"><B>
<H4 ALIGN=center>Welcome <%=objWelc("F_NAME") + " " + objWelc("L_NAME")%> you have successfully logged into NVS!
</H4></B></FONT>
<% If Session.Contents("ADMIN_ACCESS") = True Then %>
<center>
<font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
<B>Click the link to go to the <a href="../admin/admin_main.asp" alt="Admin Home Page"><font color="#000099">Admin Home Page</font></A></B>
</FONT></center><br>
<% End If %>
<%
dbNVS.Close
%>

<TABLE WIDTH=760 ALIGN=center border=3 rules=cols BORDERCOLOR="#000099">
	<TR>
		<TD ALIGN=LEFT WIDTH=660><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
		<B><U>COMMITTEE MEMBERSHIPS</B></U></font></td>
		<TD ALIGN=CENTER WIDTH=100><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
		<B><U>TERM ENDING</B></U></FONT></TD>
	</TR>
<%
	GetUserComms(objMember)
	If Not objMember.EOF Then
		Do While NOT objMember.EOF%>
	
		<TR>
			<TD WIDTH=660 align=left><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><%=UCase(objMember.fields("COMNAME").value)%></TD>
			<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><%=objMember.fields("TERM").value%></TD>
		</TR>
<%		objMember.MoveNext
		Loop
Else%>
		<TR>
			<TD WIDTH=660 align=left><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE</TD>
			<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE</TD>
		</TR>
<%End If%>

<%
dbNVS.Close
%>

</table>
<BR>
<%
'*************************************
'	Display committees up for voting...
'*************************************
	%>
	<TABLE WIDTH=760 ALIGN=center border=3 rules = cols BORDERCOLOR="#000099">
		<TR>
			<TD ALIGN=LEFT WIDTH=560><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
			<B><U>COMMITTEES CURRENTLY UP FOR VOTING</B></U></font></td>
			<TD ALIGN=CENTER WIDTH=100><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
			<B><U>TYPE</B></U></FONT></TD>
			<TD ALIGN=CENTER WIDTH=100><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
			<B><U>DEADLINE</B></U></FONT></TD>
		</TR>
<%
GetVotingComms(objVote)

'Display voting committies
 If objVote.EOF then
%>
	<TR>
		<TD WIDTH=560 align=left><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE </TD>
		<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE </TD>
		<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE </TD>
	</TR>
<%
Else 
	Do While NOT objVote.EOF
	  	select case objVote.fields("ELECTION_TYPE").value
	   		case  True kind = "REGULAR"
	   		case  False kind = "RUN-OFF"
	  	end select
  %>
   <TR>
		<TD WIDTH=560 align=left><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><%=UCase(objVote.fields("COMNAME").value)%></TD>
		<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><%=kind%></TD>
		<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#FF0000"><b><%=objVote.fields("ENDVOTE").value%></b></TD>
	</TR>
<%
		objVote.MoveNext
	Loop
End If

dbNVS.Close
%>
</table>
<BR>
<%
'**********************************
'	Display Committees up for Nominaitons...
'**********************************
%>
<TABLE WIDTH=760 ALIGN=center border=3 rules= cols BORDERCOLOR="#000099">
		<TR>
			<TD ALIGN=LEFT WIDTH=660><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
			<B><U>COMMITTEES CURRENTLY UP FOR NOMINATIONS</B></U></font></td>
			<TD ALIGN=CENTER WIDTH=100><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
			<B><U>DEADLINE</B></U></FONT></TD>
		</TR>
<%
GetNomComs(objCNom)

'Display "nominatable" committies
If objCNom.EOF then
%>
	<TR>
		<TD WIDTH=660 align=left><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE </TD>
		<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE </TD>
	</TR>
<%
Else 
	Do While NOT objCNom.EOF
%>
	<TR>
		<TD WIDTH=660 align=left><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><%=UCase(objCNom.fields("COMNAME").value)%></TD>
		<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><%=objCNom.fields("ENDNOM").value%></TD>
	</TR>
<%
		objCNom.MoveNext
	Loop
End If

dbNVS.Close
%>
</TABLE>



<BR>
<%
'*****************************************
'	Display committies user has been nominated for...
'*****************************************
%>
	<TABLE WIDTH=760 ALIGN=center border=3 rules=cols BORDERCOLOR="#000099">
		<TR>
			<TD ALIGN=LEFT WIDTH=560><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
			<B><U>COMMITTEES YOU HAVE BEEN NOMINATED FOR</B></U></font></td>
			<TD ALIGN=CENTER WIDTH=100><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
			<B><U>STATUS</B></U></FONT></TD>
			<TD ALIGN=CENTER WIDTH=100><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
			<B><U>DEADLINE</B></U></FONT></TD>
		</TR>
<%
GetUserNoms(objNom)

IF objNom.EOF Then
 'empty recordset
%>
	<TR>
		<TD WIDTH=560 align=left><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE</TD>
		<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE</TD>
		<TD WIDTH=100 align=CENTER><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000">NONE</TD>
	</TR>	
<%		
else
	'Display nominations
	Do While NOT objNom.EOF
	     	select case UCase(objNom.fields("STATUS").value)
	     		case "U"	stat = "UNDECIDED"
	     		case "A" stat = "ACCEPTED"
	     		case "D" stat = "DECLINED"
			end select
%>
	<TR>
		<TD WIDTH=560 align=left><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><%=UCase(objNom.fields("COMNAME").value)%></TD>
		<TD WIDTH=100 align=center><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><%=stat%></TD>
		<TD WIDTH=100 align=center><font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><%=objNom.fields("ENDNOM").value%></TD>
	</TR>	
<%		
		objNom.MoveNext
	Loop
End If

dbNVS.Close
%>
</TABLE>

<BR>

<BR>

<font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#000099">
	<center>
	Use the menu bar at the <A HREF="#TOP"><font color="#FF0000">top of this page</FONT></A> 
	to move through the NVS activities.
	</center>
</font>
<%
	'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	'THIS DISPLAYS A MESSAGE BOX...WILL USE TO CONFIRM A SUCCESSFULL VOTE...
	If Request.QueryString("confirm") = "yes" Then
		Response.write "<SCRIPT>javascript: alert('Your new password has been recorded successfully!  Thank you for using NVS!');</SCRIPT>"
	End If
	'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>
</body>
</html>
<%
Set objCNom = Nothing
Set objVote = Nothing
Set dbNVS = Nothing
Set objNom = Nothing
Response.End%>