<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function LoadNomineesForVoteBallotSave(dictNominees, ComId)%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	LoadNomineesForVoteBallotSave = False
	
	adLockOptimistic = 3
	
	Dim rsNominees
	Set rsNominees = Server.CreateObject("ADODB.Recordset")
	
	Dim strSQL, message
	
	strSQL = "Select [USER_ID], [L_NAME]"
	strSQL = strSQL + " FROM [FACULTY]"
	strSQL = strSQL + " WHERE [USER_ID] IN"
	strSQL = strSQL + " (SELECT [USER_ID] FROM [NOMINATED]"
	strSQL = strSQL + " WHERE [NOMINATED].[COMID]=" + Cstr(Clng(ComId))
	strSQL = strSQL + " AND [NOMINATED].[STATUS] = 'A')"
	strSQL = strSQL + " ORDER BY [L_NAME]"
	
	'Open the connection to the database...
	dbNVS.Open
	rsNominees.ActiveConnection = dbNVS
	rsNominees.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsNominees.EOF then
		rsNominees.MoveLast
		rsNominees.MoveFirst
		
		While Not rsNominees.EOF		
			dictNominees.Add rsNominees.Fields("USER_ID").Value, rsNominees.Fields("L_NAME").Value
			rsNominees.MoveNext
		Wend
	End if
	
	'Error Handling in a small way...
	If Err.Number <> 0 then
		Set rsNominees = Nothing
		dbNVS.Close
		
		'something is wrong...
		message = "A system error occured with the function LoadNomineesForVoteBallotSave." + _
					   "<BR>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		LoadNomineesForVoteBallotSave = False
	End if	
	
	dbNVS.Close
	
	'everything went ok...
	Set rsNominees = Nothing
	LoadNomineesForVoteBallotSave = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function DateOk(datestring)
	Dim dateTemp
	             
	On Error Resume Next
	dateTemp = DateValue(datestring)
	If Err Then
		DateOk = False
	Else
		DateOk = True
	End If	             
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>


<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function CleanDate(datestring)

	CleanDate = Replace(Replace(Replace(Replace(Replace(datestring, ",", "/"), ".", "/"), "-", "/"), "\", "/"), "_", "/")
	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function DeleteVotingRecords(ComId)%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	Dim message
	
	DeleteVotingRecords = False
	Dim strSQL
	
	Dim cmdVotes
	Set cmdVotes = Server.CreateObject("ADODB.command")
	
	dbNVS.Open
	cmdVotes.ActiveConnection = dbNVS
	dbNVS.BeginTrans
	
	strSQL = "DELETE FROM [VOTING_RESULTS] WHERE [COMID]=" + Cstr(ComId)
		
	cmdVotes.CommandText = strSQL
	cmdVotes.Execute
		
	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...don't allow update to database...
		dbNVS.RollBack
				
		message = "A system error occured with the function DeleteVotingRecords." + _
					   "<BR>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
						
		DeleteVotingRecords = False
	End if
	
	dbNVS.CommitTrans
	dbNVS.Close
	
Response.Write "FINISHED DELETEING VOTING RECORDS<BR>"
	
	Set cmdVotes = Nothing
	DeleteVotingRecords = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetDivisions(rsDiv)%>
<!--#include file="../nvs/db_open.asp"--><%
On Error Resume Next
	GetDivisions = False
	
	adLockOptimistic = 3
	
	Dim message
	
	Dim strSQL	
	strSQL = "Select * From [DIVISION] Order By [DIVISION]"
	
	dbNVS.Open
	rsDiv.ActiveConnection = dbNVS
	rsDiv.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsDiv.EOF Then
		rsDiv.Movefirst
	End If

	GetDivisions = True
	
	'Error Handling in a small way...
	If Err.Number <> 0 then		
		'something is wrong...
		message = "A system error occured with the function GetDivisions." + _
								 "<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		GetDivisions = False
	End if	
	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>


<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommittees(rsComm)%>
<!--#include file="../nvs/db_open.asp"--><%
On Error Resume Next
	GetCommittees = False
	
	adLockOptimistic = 3
	
	Dim message
	
	Dim StrSQL	
	StrSQL = "Select * From [COMM1] Order By [COMNAME]"
	
	dbNVS.Open
	rsComm.ActiveConnection = dbNVS
	rsComm.Open Cstr(StrSQL), dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsComm.EOF Then
		rsComm.Movefirst
	End If

	GetCommittees = True
		
	'Error Handling in a small way...
	If Err.Number <> 0 then		
		'something is wrong...
		message = "A system error occured with the function GetCommittees." + _
								 "<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		GetCommittees = False
	End if	
	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>


<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetDiv(rsDiv, DivId)%>
<!--#include file="../nvs/db_open.asp"--><%
On Error Resume Next
	GetDiv = False
	
	adLockOptimistic = 3
	
	Dim message
	Dim strSQL	
	strSQL = "Select * From [DIVISION] Where [DIV_ID]=" + Cstr(DivId)
	
	dbNVS.Open
	rsDiv.ActiveConnection = dbNVS
	rsDiv.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsDiv.EOF Then
		rsDiv.Movefirst
	End If
	
	GetDiv = True
	
	'Error Handling in a small way...
	If Err.Number <> 0 then		
		'something is wrong...
		message = "A system error occured with the function GetDiv." + _
								 "<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		GetDiv = False
	End if	
	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>


<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCom(rsComm, ComId)%>
<!--#include file="../nvs/db_open.asp"--><%
On Error Resume Next
	GetCom = False
	
	adLockOptimistic = 3
	
	Dim message
	Dim strSQL	
	strSQL = "Select * From [COMM1] Where [COMID]=" + Cstr(ComId)
	
	dbNVS.Open
	rsComm.ActiveConnection = dbNVS
	rsComm.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsComm.EOF Then
		rsComm.Movefirst
	End If
	
	GetCom = True
	
	'Error Handling in a small way...
	If Err.Number <> 0 then		
		'something is wrong...
		message = "A system error occured with the function GetCom." + _
								 "<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		GetCom = False
	End if	
	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>


<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function LoadNonCommitteeMembers(rsNon_Members)%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	LoadNonCommitteeMembers = False
	
	adLockOptimistic = 3
	
	Dim strSQL, message
	
	strSQL = "Select * FROM [FACULTY]"
	strSQL = strSQL + " WHERE [USER_ID] NOT IN"
	strSQL = strSQL + " (SELECT [USER_ID] FROM [MEMBER]"
	strSQL = strSQL + " WHERE [MEMBER].[COMID]=" + Cstr(Clng(ComId)) + ")"
	strSQL = strSQL + " ORDER BY [L_NAME]"
	
	'Open the connection to the database...
	dbNVS.Open
	rsNon_Members.ActiveConnection = dbNVS
	rsNon_Members.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic

	If Not rsNon_Members.EOF then
		rsNon_Members.MoveLast
		rsNon_Members.MoveFirst
	End if

	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function LoadNonCommitteeMembers." + _
					   "<BR>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		LoadNonCommitteeMembers = False
	End if	
	
	'everything went ok...
	LoadNonCommitteeMembers = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function LoadCommMembers(rsMembers)%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	LoadCommMembers = False
	
	adLockOptimistic = 3
	
	Dim strSQL, message
	
	strSQL = "Select [FACULTY].[USER_ID], [FACULTY].[F_NAME],"
	strSQL = strSQL + " [FACULTY].[L_NAME], [MEMBER_TYPE].[TYPE_ID],"
	strSQL = strSQL + " [MEMBER_TYPE].[TYPE_NAME], [MEMBER].[TERM]"
	strSQL = strSQL + " FROM [FACULTY], [MEMBER], [MEMBER_TYPE]"
	strSQL = strSQL + " WHERE [FACULTY].[USER_ID] = [MEMBER].[USER_ID]"
	strSQL = strSQL + " AND [MEMBER].[TYPE_ID] = [MEMBER_TYPE].[TYPE_ID]"
	strSQL = strSQL + " AND [MEMBER].[COMID]=" + Cstr(Clng(ComId))
	strSQL = strSQL + " ORDER BY [FACULTY].[L_NAME]"
	
	'Open the connection to the database...
	dbNVS.Open
	rsMembers.ActiveConnection = dbNVS
	rsMembers.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic

	If Not rsMembers.EOF then
		rsMembers.MoveLast
		rsMembers.MoveFirst
	End if

	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function LoadCommMembers." + _
					   "<BR>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		LoadCommMembers = False
	End if	
	
	'everything went ok...
	LoadCommMembers = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>


<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function LoadMemberTypes(objMemTypes)%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	LoadMemberTypes = False
	
	adLockOptimistic = 3
	
	Dim strSQL, message
	
	Dim rsTypes
	Set rsTypes = Server.CreateObject("ADODB.Recordset")
	
	strSQL = "Select * From [MEMBER_TYPE] ORDER By [TYPE_NAME]"
	
	'Open the connection to the database...
	dbNVS.Open
	rsTypes.ActiveConnection = dbNVS
	rsTypes.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic

	If Not rsTypes.EOF then
		rsTypes.MoveLast
		rsTypes.MoveFirst
		
		While Not rsTypes.EOF
			'adding to scripting dictionary...
			'first item is the KEY value...
			'second is the VALUE you want to store (i.e. the type_name)
			
			objMemTypes.Add Clng(rsTypes.Fields("TYPE_ID").Value), Cstr(rsTypes.Fields("TYPE_NAME").Value)
			
			rsTypes.MoveNext
		Wend
		
	End if

	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function LoadMemberTypes." + _
					   "<BR>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		LoadMemberTypes = False
	End if	
	
	'everything went ok...
	Set rsTypes = Nothing
	LoadMemberTypes = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetFac(rsFac, FacId)%>
<!--#include file="../nvs/db_open.asp"--><%
On Error Resume Next
	GetFac = False
	
	adLockOptimistic = 3
	
	Dim message
	Dim strSQL	
	strSQL = "SELECT * FROM [FACULTY] Where [USER_ID] =" + Cstr(FacId)
	strSQL = strSQL + " ORDER BY [FACULTY].[L_NAME]"
	
	dbNVS.Open
	rsFac.ActiveConnection = dbNVS
	rsFac.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsFac.EOF Then
		rsFac.Movefirst
	End If
	
	GetFac = True
		
	If Err.Number <> 0 then
		message = "A system error occured with the function GetFac." + _
					   "<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		GetFac = False
	End if	
End Function

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetFaculty(rsFac)%>
<!--#include file="../nvs/db_open.asp"--><%
On Error Resume Next
	GetFaculty = False
	
	adLockOptimistic = 3
	
	Dim message
	Dim strSQL	
	strSQL = " SELECT * FROM FACULTY Order By [L_NAME]"
	
	dbNVS.Open
	rsFac.ActiveConnection = dbNVS
	rsFac.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsFac.EOF Then
		rsFac.Movefirst
	End If
	
	GetFaculty = True
		
	If Err.Number <> 0 then
		message = "A system error occured with the function GetFaculty." + _
						"<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	
		GetFaculty = False
	End if	
	
End Function

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetType(rsTypes, TypeId)%>
<!--#include file="../nvs/db_open.asp"--><%
On Error Resume Next
	GetType = False
	
	adLockOptimistic = 3
	
	Dim message
	Dim strSQL	
	strSQL = " SELECT * FROM [MEMBER_TYPE] WHERE [TYPE_ID]=" + Cstr(TypeId)
	
	dbNVS.Open
	rsTypes.ActiveConnection = dbNVS
	rsTypes.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsTypes.EOF Then
		rsTypes.Movefirst
	End If
			
	If Err.Number <> 0 then
		message = "A system error occured with the function GetType." + _
					   "<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	
		GetType = False
	End if	
	
	GetType = True
End Function

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetMemberTypes(rsTypes)%>
<!--#include file="../nvs/db_open.asp"--><%
On Error Resume Next
	GetMemberTypes = False
	
	adLockOptimistic = 3
	
	Dim message
	
	Dim strSQL	
	strSQL = " SELECT * FROM [MEMBER_TYPE] ORDER BY [TYPE_NAME]"
	
	dbNVS.Open
	rsTypes.ActiveConnection = dbNVS
	rsTypes.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsTypes.EOF Then
		rsTypes.Movefirst
	End If
			
	If Err.Number <> 0 then
		message = "A system error occured with the function GetMemberTypes." + _
					   "<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	
		GetMemberTypes = False
	End if	
	
	GetMemberTypes = True
End Function

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function LoadNonNominees(rsNon_Nominees, ComId)%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	LoadNonNominees = False
	
	adLockOptimistic = 3
	
	Dim strSQL, message
	
	'gets all faculty members who are not in either the nominated or voting_results tables...
	'this is used to load all faculty members that are NOT on the candidate slate...
	strSQL = "Select [FACULTY].[F_NAME], [FACULTY].[L_NAME], [FACULTY].[USER_ID], [DIVISION].[DIVISION]"
	strSQL = strSQL + " FROM [FACULTY], [DIVISION]"
	strSQL = strSQL + " WHERE [FACULTY].[DIV_ID] = [DIVISION].[DIV_ID]"
	strSQL = strSQL + " AND [USER_ID] NOT IN"
	strSQL = strSQL + " (SELECT [USER_ID] FROM [NOMINATED]"
	strSQL = strSQL + " WHERE [NOMINATED].[COMID]=" + Cstr(Clng(ComId))
	strSQL = strSQL + " AND [NOMINATED].[STATUS] = 'A')"
	strSQL = strSQL + " ORDER BY [FACULTY].[L_NAME]"
	
	'Open the connection to the database...
	dbNVS.Open
	rsNon_Nominees.ActiveConnection = dbNVS
	rsNon_Nominees.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic

	If Not rsNon_Nominees.EOF then
		rsNon_Nominees.MoveLast
		rsNon_Nominees.MoveFirst
	End if

	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function LoadNonNominees." + _
					   "<BR>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		LoadNonNominees = False
	End if	
	
	'everything went ok...
	LoadNonNominees = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommsForNom(rsComm)%>
<!--#include file="../nvs/db_open.asp"--><%
On Error Resume Next
	GetCommsForNom = False
	
	'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	'THIS IS WHAT WE NEED TO DO EVERYWHERE!!!!!!!!!!!!!!
	adLockOptimistic = 3
	'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	Dim strSQL, dtToday, message
	
	dtToday = Date
	
	'gets all committees that are in a nominations period or 
	'between a nomination and voting period...
	strSQL = "SELECT [COMID],[COMNAME] FROM [COMM1]"
	strSQL = strSQL + " WHERE [STARTNOM] <= #" & Cstr(dtToday) & "#"
	strSQL = strSQL + " AND [STARTVOTE] >= #" & Cstr(dtToday) & "#"
	strSQL = strSQL + " AND [ELECTION_TYPE] = TRUE ORDER BY [COMNAME]"

	dbNVS.Open
	rsComm.ActiveConnection = dbNVS
	rsComm.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If not rsComm.EOF then 
		rsComm.MoveFirst
	End if	
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function GetCommsForNom." + _
					   "<BR>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		GetCommsForNom = False
	End if
	
	GetCommsForNom = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>




<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function LoadNominees(rsNominees, ComId)%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	LoadNominees = False
	
	adLockOptimistic = 3
	
	Dim strSQL, message
	
	'this gets all faculty members who are in the nominated and voting results table for a specific committee...
	'this is used to get all faculty members who are ON the candidate slate...	
	strSQL = "Select [FACULTY].[F_NAME], [FACULTY].[L_NAME], [FACULTY].[USER_ID], [DIVISION].[DIVISION]"
	strSQL = strSQL + " FROM [FACULTY], [DIVISION]"
	strSQL = strSQL + " WHERE [FACULTY].[DIV_ID] = [DIVISION].[DIV_ID]"
	strSQL = strSQL + " AND [USER_ID] IN"
	strSQL = strSQL + " (SELECT [USER_ID] FROM [NOMINATED]"
	strSQL = strSQL + " WHERE [NOMINATED].[COMID]=" + Cstr(Clng(ComId))
	strSQL = strSQL + " AND [NOMINATED].[STATUS] = 'A')"
	strSQL = strSQL + " ORDER BY [FACULTY].[L_NAME]"
	
	'Open the connection to the database...
	dbNVS.Open
	rsNominees.ActiveConnection = dbNVS
	rsNominees.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic

	If Not rsNominees.EOF then
		rsNominees.MoveLast
		rsNominees.MoveFirst
	End if

	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function LoadNominees." + _
					   "<BR>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		LoadNominees = False
	End if	
	
	'everything went ok...
	LoadNominees = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function SQLFixTicks(TextIn)
     SQLFixTicks = Replace(TextIn, "'", "''")
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'This function will count the number of instances
'an undecided candidate has been nominated for a 
'committee.
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function CountUndecNominees(CommID)%>
<!--#include file="../nvs/db_open.asp"--><%	
	
	Dim arUnNoms()
	Dim upprbnd 
	upprbnd = 5
	Dim strSQL
	Dim cntr
	cntr = 0
	Dim arcntr
	arcntr = 0
	
	strSQL = "SELECT DISTINCT [NOM_ID], [L_NAME], [F_NAME]  FROM [NOMINATED], [COMM1] WHERE [COMID] = " 
	strSQL = strSQL + Cstr(CommID) + " AND NOT [NOM_ID] IN( "
	strSQL = strSQL + "SELECT [NOM_ID] FROM [NOMINATED] WHERE [COMID] = "
	strSQL = strSQL + Cstr(CommID) + " AND [STATUS] = 'A' OR [STATUS] = 'D')"

	Set myRS = Server.CreateObject("ADODB.Recordset")
	dbNVS.Open
	myRS.ActiveConnection = dbNVS
	myRS.Open strSQL, dbNVS
	dbNVS. Close

	
	While NOT myRS.EOF
		arUnNoms(arcntr) = Cstr(myRS.Fields("NOM_ID").Value) + " | " + Cstr(myRS.Fields("L_NAME").Value) + " | " + Cstr(myRS.Fields("F_NAME").Value)
		
		strSQL = "SELECT * FROM [NOMINATED] WHERE [NOM_ID] = "
		strSQL = strSQL + Cstr(myRS.Fields("NOM_ID").Value) + " AND [COMID] = "
		strSQL = strSQL + Cstr(CommID)
		Set myrscnt = Server.CreateObject("ADODB.Recordset")
		dbNVS.Open
		myrscnt.ActiveConnection = dbNVS
		myrscnt.Open strSQL, dbNVS
		dbNVS. Close
		set myrscnt = Nothing

		arUnNoms(arcntr) = arUnNoms(arcntr) + " | " + Cstr(myrscnt.RecordCount)		

		arcntr = arcntr + 1
		If arcntr = upprbnd Then		
			upprbnd = upprbnd * 2
			ReDim Preserve arUnNoms(1, upprbnd)
		End If
		myRS.MoveNext
	Wend	 
	
'DONT THINK THIS WILL WORK
	CountUndecNominees = arUnNoms()

End Function
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'This function will count the number of times an
'accepted nominee has been nominated for a committee
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function CountAcceptNominees(strUser, CommID)%>
<!--#include file="../nvs/db_open.asp"--><%
	CountAcceptNominees = 0
	Set myRS = Server.CreateObject("ADODB.Recordset")
	
	Dim strSQL
	Dim cntr
	cntr = 0
	strSQL = "SELECT * FROM [NOMINATED] WHERE [USER_ID] = "
	strSQL = strSQL + Cstr(strUser) + " AND [COMID] = "
	strSQL = strSQL + Cstr(CommID)

	dbNVS.Open
	myRS.ActiveConnection = dbNVS
	myRS.Open strSQL, dbNVS

	While Not myRS.EOF
		cntr = cntr + 1
		myRS.MoveNext
	Wend
	CountAcceptNominees = cntr	
End Function
%>