<%@ Language=VBScript %>
<% Response.Buffer = True %>
<!--#include file="includes/admin_logged_in.asp"-->
<!--#include file="../nvs/db_open.asp"-->
<!--#include file="../utils/nvs_utils.inc"-->
<%
	Dim message
	Dim member_type		'used to add a faculty member as a default member_type...
	Dim term_length
	Dim ComId
	
	If Request.Form("btnAdd") = "Add ------>" Then
		'we are in "ADDING" mode...
		If ValidAddMembers() Then
			ComId = Request.Form("hdCOM_ID")
			Dim rsComm
			Set rsComm = Server.CreateObject("ADODB.Recordset")
			
			GetCom rsComm, ComId
			
			'this is so we add members with a full term length for the committee they are added to...			
			term_length = Year(DateAdd("YYYY", Clng(rsComm.Fields("TERM_LENGTH").Value), Now))
			
			dbNVS.Close
			Set rsComm = Nothing
			
			AddMembers()
			
			Set dbNVS = Nothing
			
			Response.Clear
			Response.Redirect "member_add.asp?init=0&comid=" + Cstr(Request.Form("hdCOM_ID"))
			Response.End
		End If	
	ElseIf Request.Form("btnDelete") = "<---- Delete" Then
		'we are in "DELETING" mode...
		If ValidDeleteMembers() then
			DeleteMembers()
			
			Set dbNVS = Nothing
			
			Response.Clear
			Response.Redirect "member_add.asp?init=0&comid=" + Cstr(Request.Form("hdCOM_ID"))
			Response.End
		End If
		
	Else
		message = "System error trying to submit member add form.<br>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	End If
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function AddMembers()%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	AddMembers = False
	Dim strSQL
	
	Dim cmdADD
	Set cmdADD = Server.CreateObject("ADODB.command")
	
	dbNVS.Open
	cmdADD.ActiveConnection = dbNVS
	dbNVS.BeginTrans
	
	For i = 1 to Request.Form("selFaculty").Count
		If Request.Form("selFaculty")(i) <> "0" then
			strSQL = "INSERT INTO [MEMBER] ("
			strSQL = strSQL + " [USER_ID], [COMID], [TYPE_ID], [TERM]"
			strSQL = strSQL + ") Values ("
			strSQL = strSQL + Cstr(Request.Form("selFaculty")(i)) + ","
			strSQL = strSQL + Cstr(Request.Form("hdCOM_ID")) + ","
			strSQL = strSQL + Cstr(member_type) + ","									'HARDCODED FOR NOW....
			strSQL = strSQL + "'" + Cstr(term_length) + "')"								'HARDCODED FOR NOW....
		
			cmdADD.CommandText = strSQL
			cmdADD.Execute
	
			'Error Handling in a small way...
			If Err.Number > 0 then
				'something is wrong...don't allow update to database...
				dbNVS.RollBack
				
				message = "A system error occured with the function AddMembers." + _
							   "<BR>Please click the BACK button."
				Response.Clear
				Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
				Response.End
						
				AddMembers = False
			End if
		End If
	Next
	
	dbNVS.CommitTrans
	dbNVS.Close
	
	Set cmdADD = Nothing
	
	AddMembers = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function DeleteMembers()%>
<!--#include file="../nvs/db_open.asp"--><%
	On Error Resume Next
	DeleteMembers = False
	
	Dim cmdDELETE
	Set cmdDELETE = Server.CreateObject("ADODB.command")
	Dim strSQL, strUSERIDS
	
	strUSERIDS = ""
	For i = 1 To Request.Form("selMembers").Count
		'This is in case the user selected some values that 
		'do not mean anything, like the empty space or the text "Nominees"
		If Request.Form("selMembers")(i) <> "0" then
			If strUSERIDS = "" then
				strUSERIDS = Request.Form("selMembers")(i) + ", "
			Else
				'If this is the last user_id to vote for, do NOT put a comma after it...
				If i = Request.Form("selMembers").Count Then
					strUSERIDS = strUSERIDS + Request.Form("selMembers")
				Else
					strUSERIDS = strUSERIDS + Request.Form("selMembers") + ", "
				End IF
			End If
		End If
	Next
	
	strSQL = " Delete FROM [MEMBER] " 
	strSQL = strSQL + " Where [COMID] = " + Cstr(Request.Form("hdCOM_ID"))
	strSQL = strSQL + " And [USER_ID] IN (" + Cstr(strUSERIDS) + ")"
		
	dbNVS.Open
	cmdDELETE.ActiveConnection = dbNVS
	cmdDELETE.CommandText = strSQL
		
	dbNVS.BeginTrans
	cmdDELETE.Execute
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...don't allow update to database...
		dbNVS.RollBack
		message = "A system error occured with the function DeleteMembers." + _
					   "<BR>Please click the BACK button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		DeleteMembers = False
	End if	
		
	dbNVS.CommitTrans
	dbNVS.Close
	Set cmdDELETE = Nothing
	
	DeleteMembers = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>


<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function ValidAddMembers()%>
<!--#include file="../nvs/db_open.asp"--><%
	ValidAddMembers = False
	Dim Count
	Dim rsMember
	Dim strSQL, message
	Set rsMember = Server.CreateObject("ADODB.Recordset")
	
	Count = 0
	
	For i = 1 To Request.Form("selFaculty").Count
		If Request.Form("selFaculty")(i) <> "0" then
			Count = Count + 1
		End If
	Next
	
	If Count <= 0 Then
		message = "You must select at least one faculty member to add to the committee."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	End If
	
	strSQL = "Select * From [MEMBER_TYPE] Order By [TYPE_ID] DESC"
	dbNVS.Open
	rsMember.ActiveConnection = dbNVS
	rsMember.Open strSQL, dbNVS, adOpenKeyset		', adLockOptimistic
	
	If Not rsMember.EOF Then
		rsMember.Movefirst
		member_type = rsMember.Fields("TYPE_ID").Value
	Else	
		'something is wrong...
		Response.Clear
		message = "There are no member_types to apply to the new member additions.<BR>Please add member_types before adding committee members."
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
		
		ValidAddMembers = False
	End If	
	
	dbNVS.Close
	Set rsMember = Nothing
	
	ValidAddMembers = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function ValidDeleteMembers()
	ValidDeleteMembers = False
	Dim Count
	Count = 0
	
	For i = 1 To Request.Form("selMembers").Count
		If Request.Form("selMembers")(i) <> "0" then
			Count = Count + 1
		End If
	Next
	
	If Count <= 0 Then
		message = "You must select at least one faculty member to remove from the committee."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	End If
	
ValidDeleteMembers = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>

<% Response.End %>
