<%


'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function InitializePage()
	bInit = Cbool(Request.QueryString("init"))
	Dim message
	If Request.Form("selComm") = "0" AND Not bInit Then
		message = "You must select a committee for nominations.<BR>Please click BACK to select a committe to nominate to."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
	End if
	
	If bInit <> Cint(False) then
		'this ensures the committee chosen initially is used for page ComId
		ComId = Cint(0)
		Session.Contents("VOTE_COMID") = ComId
	Else
		If Request.QueryString("ComId") <> "" then
			'getting the committee id that was selected by 
			'the user so the page stays on the right committee
			ComId = Cint(Request.QueryString("ComId"))
			Session.Contents("VOTE_COMID") = ComId
		Else
			'the user just selected a new committee to nominate for, 
			'make sure you store the committee id
			ComId = Cint(Request.Form("selComm"))
			Session.Contents("VOTE_COMID") = ComId
		End If	
	End if	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommittee(rsComm)%>
<!--#include file="../db_open.asp"--><%
On Error Resume Next
	GetCommittee = False
	
	Dim message
	Dim StrSQL	
	StrSQL = "Select * From [COMM1] Where [COMID]= " + Cstr(comid)
	
	dbNVS.Open
	rsComm.ActiveConnection = dbNVS
	rsComm.Open Cstr(StrSQL), dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsComm.EOF Then
		rsComm.MoveFirst
	End If

	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function GetCommittee." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		GetCommittee = False
	End if	
	
	'everything went ok...
	GetCommittee = True	
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Commitees in Open Nomination Period
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommsForNom(rsComm)%>
<!--#include file="../db_open.asp"--><%
On Error Resume Next
	GetCommsForNom = False
	Dim strSQL, dtToday
	Dim message
	dtToday = Date
	
		strSQL = "SELECT [COMID],[COMNAME] FROM [COMM1]"
		strSQL = strSQL + " WHERE [STARTNOM] <= #" & Cstr(dtToday) & "#"
		strSQL = strSQL + " AND [ENDNOM] >= #" & Cstr(dtToday) & "#"
		strSQL = strSQL + " ORDER BY [COMNAME]"


	dbNVS.Open
	rsComm.ActiveConnection = dbNVS
	rsComm.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If not rsComm.EOF then 
		rsComm.MoveFirst
	End if	

	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function GetCommsForNom." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		GetCommsForNom = False
	End if
	
	GetCommsForNom = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Faculty not yet nominated for selected committee
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetFacultyForNom(rsFac)%>
<!--#include file="../db_open.asp"--><%
	On Error Resume Next
	Dim strSQL	
	Dim message
	GetFacultyForNom = True

	strSQL = " SELECT [FACULTY].[USER_ID], [FACULTY].[F_NAME], [FACULTY].[L_NAME], [DIVISION].[DIVISION]"
	strSQL = strSQL + " FROM [FACULTY], [DIVISION]"
	strSQL = strSQL + " WHERE [USER_ID] Not In"
	strSQL = strSQL + " (Select [USER_ID] From [NOMINATED] Where"  
	strSQL = strSQL + " [NOM_ID] = " + Cstr(Session.Contents("USER_ID")) 
	strSQL = strSQL + " AND [COMID] = " & Cstr(Clng(ComId)) & ")"
	strSQL = strSQL + " AND [FACULTY].[DIV_ID] = [DIVISION].[DIV_ID]"
	strSQL = strSQL + "	Order By [L_NAME]"
	
	dbNVS.Open
	rsFac.ActiveConnection = dbNVS
	rsFac.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not rsFac.EOF then
		rsFac.MoveLast
		rsFac.MoveFirst
	End if
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function GetFacultyForNom." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		GetFacultyForNom = False
	End if
	
	GetFacultyForNom = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Faculty Nominated to Committee Box
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function NominatedFaculty(rsFacNom)%>
<!--#include file="../db_open.asp"--><%
On Error Resume Next
	
	NominatedFaculty = False
	Dim strSQL
	Dim message
	
	strSQL = " SELECT [FACULTY].[USER_ID], [FACULTY].[F_NAME], [FACULTY].[L_NAME], [DIVISION].[DIVISION]"
	strSQL = strSQL + " FROM [FACULTY], [DIVISION]"
	strSQL = strSQL + " Where [USER_ID] In"
	strSQL = strSQL + " (Select [USER_ID] From [NOMINATED] Where NOT [STATUS] = 'D' and [COMID]= " + Cstr(Clng(ComId))  
	strSQL = strSQL + " AND [NOM_ID] = " + Cstr(Session.Contents("USER_ID")) + ")"
	strSQL = strSQL + " AND [FACULTY].[DIV_ID] = [DIVISION].[DIV_ID]"
	strSQL = strSQL + " Order By [L_NAME]"
	
	dbNVS.Open
	
	rsFacNom.ActiveConnection = dbNVS
	rsFacNom.Open strSQL, dbNVS, adOpenKeyset	', adLockOptimistic
	
	If Not rsFacNom.EOF then
		'rsFacNom.MoveLast
		rsFacNom.MoveFirst
	End if
	
	'Error Handling in a small way...
	If Err.Number > 0 then
		'something is wrong...
		message = "A system error occured with the function NominatedFaculty." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		NominatedFaculty = False
	End if
	
	NominatedFaculty = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>	

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'RETNOMINEES - RETURNS A RECORDSET OF FACULTY WHO'VE
'ALREADY BEEN NOMINATED.
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function RetNominees(accnoms, nodecnoms, ComID)
	RetNominees = False	
	dim strSQL
	
	strSQL = "SELECT DISTINCT Nominated.USER_ID, L_Name, F_Name FROM Nominated, Faculty"
	strSQL = strSQL + " WHERE Faculty.USER_ID = Nominated.USER_ID AND STATUS = 'A' AND "
	strSQL = strSQL + " Nominated.COMID = " + CStr(ComID) 
	
	'GET FACULTY WHO'VE ALREADY ACCEPTED NOMINATION
	'dbNVS.Open
	accnoms.ActiveConnection = dbNVS 
	accnoms.Open strSQL, dbNVS
	
	'GET FACULTY WHO ARE UNDECIDED AS OF YET
	strSQL = "SELECT DISTINCT Nominated.USER_ID, L_Name, F_Name FROM Nominated, Faculty"
	strSQL = strSQL + " WHERE Faculty.USER_ID = Nominated.USER_ID AND STATUS = 'U' AND "
	strSQL = strSQL + " Nominated.COMID = " + CStr(ComID) + " AND "
	strSQL = strSQL + "NOT Nominated.USER_ID IN(SELECT DISTINCT USER_ID FROM Nominated "
	strSQL = strSQL + "WHERE STATUS = 'A' OR STATUS = 'D')"

	nodecnoms.ActiveConnection = dbNVS
	nodecnoms.Open strSQL, dbNVS

	RetNominees = True
End Function 
%>

<%
Function GetMember(rsMember, ComID)%>
<!--#include file="../db_open.asp"--><%
On Error Resume Next
	GetMember = False
	
	Dim StrSQL
	StrSQL = " SELECT [FACULTY].[F_NAME], [FACULTY].[L_NAME], [MEMBER].[TERM], [DIVISION].[DIVISION] FROM [FACULTY], [MEMBER], [COMM1], [DIVISION] "
	StrSQL = StrSQL + "WHERE [COMM1].[COMID] = [MEMBER].[COMID] AND [FACULTY].[USER_ID] = [MEMBER].[USER_ID] AND "
	StrSQL = StrSQL + " [DIVISION].[DIV_ID] = [FACULTY].[DIV_ID] AND [COMM1].[COMID] = " + Cstr (ComID)
	StrSQL = StrSQL + " ORDER BY [MEMBER].[TERM]"

   
	dbNVS.Open
	rsMember.ActiveConnection = dbNVS

	rsMember.Open Cstr(StrSQL), dbNVS, adOpenKeyset		', adLockOptimistic
	
	If Not rsMember.EOF Then
		rsMember.Movefirst
	End If
	
	GetMember = True
	  
	If Err.Number <> 0 Then
		GetMember = False
	End If
	
End Function
%>