<%
'~~~~~~~~~~~~~~~~~FUNCTIONS FOR VOTE RESULTS PAGE - START~~~~~~~~~

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets all committees who are in a voting period
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommsApprove(rsCOMM)%>
<!--#include file="../db_open.asp"--><%
	On Error Resume Next
	Dim strSQL, dtToday, message
	adLockOptimistic = 3
	
	dtToday = Date
		
	strSQL = "SELECT COMID, COMNAME"
	strSQL = strSQL + " FROM COMM1 WHERE" 
	strSQL = strSQL + " APPROVE_STATUS =" + Cstr(Cint(False))
	strSQL = strSQL + " AND STARTVOTE <= #" + Cstr(dtToday) + "#"
	strSQL = strSQL + " AND ENDVOTE >= #" + Cstr(dtToday) + "#"
	
	dbNVS.Open
	rsCOMM.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
		
	'Error Handling in a small way...
	If Err.Number > 0 then
		message = "A system error occured with the function GetCommsApprove." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		GetCommsApprove = False
	End if	
	
	GetCommsApprove = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>



<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets all people who were voted for in a particular committee
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetCommsPeople(objVote, ComId)%>
<!--#include file="../db_open.asp"--><%
	'On Error Resume Next
	adLockOptimistic = 3
	
	Dim strSQL, message
	strSQL = "SELECT [VOTING_RESULTS].[VOTES], [FACULTY].[F_NAME], [FACULTY].[L_NAME], [DIVISION].[DIVISION]"
	strSQL = strSQL + " FROM [FACULTY], [VOTING_RESULTS], [DIVISION]"
	strSQL = strSQL + " WHERE [VOTING_RESULTS].[USER_ID] = [FACULTY].[USER_ID]"
	strSQL = strSQL + " AND [FACULTY].[DIV_ID] = [DIVISION].[DIV_ID]"
	strSQL = strSQL + " AND [VOTING_RESULTS].[COMID]= " + Cstr(ComId)
	strSQL = strSQL + " ORDER BY [VOTING_RESULTS].[VOTES] DESC"
		
	dbNVS.Open
	objVote.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic

	'Error Handling in a small way...
	If Err.Number > 0 then
		message = "A system error occured with the function GetCommsPeople." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		GetCommsPeople = False
	End if	
	
	GetCommsPeople = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>


	
	
<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'	Gets total number of votes per committee
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Function GetNumVotes(lngVOTE_TOTAL, COMMNUM)%>
<!--#include file="../db_open.asp"--><%
	On Error Resume Next
	adLockOptimistic = 3
	
	Dim objVoteSum
	Set objVoteSum = Server.CreateObject("ADODB.Recordset")
	
	Dim strSQL, message
	
	strSQL = "SELECT SUM([VOTES]) as [TOTAL_VOTES]"
	strSQL = strSQL + " FROM [VOTING_RESULTS]"
	strSQL = strSQL + " WHERE [COMID]=" + Cstr(COMMNUM)
	
	dbNVS.Open
	
	objVoteSum.Open strSQL, dbNVS, adOpenKeyset, adLockOptimistic
	
	If Not objVoteSum.EOF Then
		If Not IsNull(objVoteSum.Fields("TOTAL_VOTES").Value) Then
			lngVOTE_TOTAL = Clng(objVoteSum.Fields("TOTAL_VOTES").Value)
		Else
			lngVOTE_TOTAL = Clng(0)
		End If
	Else
		lngVOTE_TOTAL = Clng(0)
	End If

	dbNVS.Close

	'Error Handling in a small way...
	If Err.Number > 0 then
		message = "A system error occured with the function GetNumVotes." + _
						"<BR>Please contact the Nominations and Election Committee to resolve this problem." + _
						"<BR>Please click the back button."
		'something is wrong...
		Response.Clear
		Response.Redirect "error.asp?mess=" + Server.URLEncode(message)
		Response.End
				
		GetNumVotes = False
	End if	

	Set objVoteSum = Nothing
	GetNumVotes = True
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%>